import { createRouter, createWebHistory } from 'vue-router';

// 定义路由
const routes = [
    //在这里配置路由
    {
        path: '/',
        name: 'IndexView',
        component: () => import('../views/IndexView.vue'),
        redirect: 'index',
        children: [
            {
                path: 'index',
                name: 'IndexPage',
                component: () => import('../pages/IndexPage.vue'),
            },
        ]
    },
    {
    path: '/auth',
    name: 'AuthView',
    component: () => import('../views/AuthView.vue'),
    },
    {
        name:'BackView',
        path:'/back',
        component:()=>import('../views/BackView.vue'),
        redirect:'/back/index',
        children:[
            {name:'BackIndex',path:'/back/index',component:()=>import('../pages/back/BackIndex.vue')},
            {name:'BackUser',path:'user',component:()=>import('../pages/back/BackUser.vue')},
            {name:'BackBookAdmin',path:'/back/admin/book',component:()=>import('../pages/back/BookVueAdmin.vue')},
            {name:'BackFileAdmin',path:'/back/admin/file',component:()=>import('../pages/back/FileVueAdmin.vue')},
        ]},
];

// 创建路由实例
const router = createRouter({
    history: createWebHistory(),
    routes,
});

export default router;

